Author Topic: About 3.5's OpenGL support...  (Read 3040 times)

0 Members and 1 Guest are viewing this topic.

About 3.5's OpenGL support...
In the readme it says in order to enable open gl, you gotta change something in one of the registries.  I found the 'Videocard' one, and it says this when I click on it:

"Direct 3D - Primary Display Driver (1024x768)"

So should I replace that with the one from the readme?

 

Offline phreak

  • Gun Phreak
  • 211
  • -1
About 3.5's OpenGL support...
OpenGL - Primary Display Driver (1024x768)

Tested on Geforce and Radeon cards
Offically approved by Ebola Virus Man :wtf:
phreakscp - gtalk
phreak317#7583 - discord

 
About 3.5's OpenGL support...
if u geta  misspelling error, and u know u spelled OPEN GL right, then let these guys know... they think i cantnot spell open gl... meh....
« Last Edit: March 02, 2003, 07:21:51 pm by 382 »

 

Offline phreak

  • Gun Phreak
  • 211
  • -1
About 3.5's OpenGL support...
opengl is one word

do it exactly like mine

OpenGL - (32 bit)(1024x768)
Offically approved by Ebola Virus Man :wtf:
phreakscp - gtalk
phreak317#7583 - discord

 
About 3.5's OpenGL support...
Quote
Originally posted by PhReAk
opengl is one word

do it exactly like mine

OpenGL - (32 bit)(1024x768)


tell that to the readme dude... where it states "Open GL -" ur way should work...

 

Offline Inquisitor

About 3.5's OpenGL support...
That's why the readme is a draft, I'll fix that shall I.

Deep: Would you like to offer your skills to fixing up the readme?
No signature.

 

Offline RandomTiger

  • Senior Member
  • 211
About 3.5's OpenGL support...
How about someone has an e-mail discussion with me about this stuff and I'll try and get it in the launcher.

I have spent a bit of time on it this week and intend to spend more at the weekend. Make use of me while Im around, even if I am somewhat distant. In a few weeks time you may find me more difficult to contact.

 

Offline Inquisitor

About 3.5's OpenGL support...
A launcher needs to:

1) Read the registry for ONLY the fs2 reg entries, including video card, sound and network.

2) Allow ONLY changing between supported video types, which means probably some kind of drop down that changes the registry entry from

"Direct 3D - Primary Display Driver (1024x768)"

to:

"OpenGL - Primary Display Driver (1024x768)"

Or 640x480, for instance

3) SET registry entries for typical, default values (unless you are going to write a detect routine that can autodetect d3d/opengl) and write those entries to the registry if they don't exist, for ALL required components (thus obviating the need to run the fs2 launcher first).
No signature.

 

Offline Goober5000

  • HLP Loremaster
  • Moderator
  • 214
    • Goober5000 Productions
About 3.5's OpenGL support...
Someone want to add the hi-res texture hack to the launcher?  It'd probably be very conveninent for people who are afraid of messing with the registry.

 

Offline Kazan

  • PCS2 Wizard
  • 212
  • Soul lives in the Mountains
    • http://alliance.sourceforge.net
About 3.5's OpenGL support...
DUDAGE!!!!! OpenGL runs .faster
PCS2 2.0.3 | POF CS2 wiki page | Important PCS2 Threads | PCS2 Mantis

"The Mountains are calling, and I must go" - John Muir

 

Offline phreak

  • Gun Phreak
  • 211
  • -1
About 3.5's OpenGL support...
i want to squash that popup bug tho
Offically approved by Ebola Virus Man :wtf:
phreakscp - gtalk
phreak317#7583 - discord

 

Offline RandomTiger

  • Senior Member
  • 211
About 3.5's OpenGL support...
Quote
Originally posted by Goober5000
Someone want to add the hi-res texture hack to the launcher?  It'd probably be very conveninent for people who are afraid of messing with the registry.


My launcher provides safe easy access to the reg but it might be worth making that an option of its own.

OK, so

OpenGL - Primary Display Driver (1024x768)
OpenGL - Primary Display Driver (640x480)

How does OGL know if you want 16 or 32 bit, or is it 32bit only?

 

Offline JC Denton

  • Node For Me
  • 27
About 3.5's OpenGL support...
Unless told otherwise, OpenGL uses your desktop color depth.  And since many of us keep ours set at 32-bit, OpenGL also runs in 32-bit.
"I condemn false prophets, I condemn the effort to take away the power of rational decision, to drain people of their free will -- and a hell of a lot of money in the bargain. Religions vary in their degree of idiocy, but I reject them all. For most people, religion is nothing more than a substitute for a malfunctioning brain."  - Gene Roddenberry

"Democracy substitutes election by the incompetent many for appointment by the corrupt few." - George Bernard Shaw

 

Offline Rampage

  • Son Of Rampage
  • 211
  • Urogynaecologist
About 3.5's OpenGL support...
Anyway, OpenGL for Freespace 2 does not work for older video cards.  I have an NVidia RIVA 128X 8 MB and it doesn't work.  It says that I need an OpenGL version that's 0.01 units higher.

I guess that I'm bummed out.

Rampage

 

Offline RandomTiger

  • Senior Member
  • 211
About 3.5's OpenGL support...
Quote
Originally posted by Rampage
Anyway, OpenGL for Freespace 2 does not work for older video cards.  I have an NVidia RIVA 128X 8 MB and it doesn't work.  It says that I need an OpenGL version that's 0.01 units higher.

I guess that I'm bummed out.

Rampage


What OS are you on? SOund like you just need to install the newest version of OGL

 

Offline DTP

  • ImPortant Coder
  • 28
    • http://www.c4-group.dk
About 3.5's OpenGL support...
Quote
Originally posted by Goober5000
Someone want to add the hi-res texture hack to the launcher?  It'd probably be very conveninent for people who are afraid of messing with the registry.


fs2_open.exe -32bit

forces 32bit. is alraedy there.

never tested it & dont know if this works for OpenGl, but it should work for D3D.
VBB member; reg aug 1999; total posts 600.
War is a lion, on whos back you fall, never to get up.
Think big. Invade Space.

 

Offline IceFire

  • GTVI Section 3
  • 212
    • http://www.3dap.com/hlp/hosted/ce
About 3.5's OpenGL support...
Quote
Originally posted by Rampage
Anyway, OpenGL for Freespace 2 does not work for older video cards.  I have an NVidia RIVA 128X 8 MB and it doesn't work.  It says that I need an OpenGL version that's 0.01 units higher.

I guess that I'm bummed out.

Rampage

The Riva 128, if memory serves, does not fully support OGL.  Its got a hack and slash version that works with the old GL-Quake and Quake 2 only.
- IceFire
BlackWater Ops, Cold Element
"Burn the land, boil the sea, you can't take the sky from me..."

 
About 3.5's OpenGL support...
is this pop up error you refer to the "cant swap buffers" message i just got?
The Babylon Project 2D Art / Texturing / Model Setup / Experimentation and Implementation

NEWBIE'S GUIDE TO THE VBB:

Enable Beam-free-all.